# Get Clients

## Get Clients

<mark style="color:green;">`GET`</mark> `/api/v1/clients`

Retrieves a list of clients.  Calling with no parameters returns a paginated list of all clients in your Monolith database.  Use the `uuid` query param to get details for one item.

**Query Params**

| Name             | Type     | Description                                     |
| ---------------- | -------- | ----------------------------------------------- |
| `client_id`      | integer  | Monolith unique identifier for the client.      |
| `created_on`     | ISO Date | Date that the client was entered into Monolith. |
| `created_before` | ISO Date | Clients that were created before this Date.     |
| `created_after`  | ISO Date | Clients that were created after this Date.      |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.monolithforensics.com/monolith/monolith-api/clients-api/get-clients.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
